import { create } from 'zustand'
import { ECharacterAISTATUS } from '@/types/index'
export interface CharacterAIState {
  status: ECharacterAISTATUS
  profileId: string,
  setStatus: (status: ECharacterAISTATUS) => void
  setProfileId: (profileId: string) => void
}

export const useCharacterAIStore = create<CharacterAIState>((set) => ({
  profileId: '', // 当前聊天的profileId
  status: ECharacterAISTATUS.IDLE,
  setStatus: async (status: ECharacterAISTATUS) => {
    set({ status})
  },
  setProfileId: async (profileId: string) => {
    set({ profileId })
  },
}))